QuartzNamespaceHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.quartz.config.QuartzNamespaceHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.quartz.config
Class QuartzNamespaceHandler

    java.lang.Object
      org.springframework.beans.factory.xml.NamespaceHandlerSupport
          org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
              org.mule.transport.quartz.config.QuartzNamespaceHandler

All Implemented Interfaces:
  org.springframework.beans.factory.xml.NamespaceHandler

    public class QuartzNamespaceHandler

extends AbstractMuleNamespaceHandler

Registers Bean Definition Parsers for the "quartz" namespace

Field Summary
`static String` | `JOB_NAME_ATTRIBUTE`
`static String[][]` | `QUARTZ_ATTRIBUTES`

Fields inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`GLOBAL_ENDPOINT, INBOUND_ENDPOINT, OUTBOUND_ENDPOINT`

Constructor Summary
`QuartzNamespaceHandler()`

Method Summary
`void` | `init()`
`protected void` | `registerQuartzEndpointDefinitionParser(String element, MuleDefinitionParser parser)`
`protected void` | `registerQuartzTransportEndpoints()` Need to use the most complex constructors as have mutually exclusive address aattributes

Methods inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`getGlobalEndpointBuilderBeanClass, getInboundEndpointFactoryBeanClass, getOutboundEndpointFactoryBeanClass, registerConnectorDefinitionParser, registerConnectorDefinitionParser, registerIgnoredElement, registerMetaTransportEndpoints, registerMuleBeanDefinitionParser, registerStandardTransportEndpoints`

Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport
`decorate, findDecoratorForNode, findParserForElement, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JOB_NAME_ATTRIBUTE

    public static final String JOB_NAME_ATTRIBUTE

See Also:
  Constant Field Values

### QUARTZ_ATTRIBUTES

    public static final String[][] QUARTZ_ATTRIBUTES

Constructor Detail

### QuartzNamespaceHandler

    public QuartzNamespaceHandler()

Method Detail

### init

    public void init()

### registerQuartzTransportEndpoints

    protected void registerQuartzTransportEndpoints()

  Need to use the most complex constructors as have mutually exclusive address aattributes

### registerQuartzEndpointDefinitionParser

    protected void registerQuartzEndpointDefinitionParser(String element,
                                                          MuleDefinitionParser parser)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.